## org.eclipse.emf.cdo.eresource.validation
Interface CDOResourceFolderValidator

    public interface CDOResourceFolderValidator

A sample validator interface for `CDOResourceFolder`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Since:
  2.0

Method Summary
`boolean` `validate()`
`boolean` `validateNodes(org.eclipse.emf.common.util.EList<CDOResourceNode> value)`

Method Detail

### validate

    boolean validate()

### validateNodes

    boolean validateNodes(org.eclipse.emf.common.util.EList<CDOResourceNode> value)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.